#
# Conditional build:
%bcond_with	tests		# automatic tests

%define		kdeframever	6.14
%define		kf_ver		%{version}
%define		qt_ver		6.7.0
%define		kfname		breeze-icons

Summary:	Breeze icons theme
Summary(pl.UTF-8):	Motyw ikon Breeze
Name:		kf6-%{kfname}
Version:	6.14.0
Release:	2
License:	LGPL v2.1+ (library), LGPL v3+ (icons)
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	b132c475a7e389e6f7d36323279a7f3d
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
%{?with_tests:BuildRequires:	Qt6Test-devel >= %{qt_ver}}
BuildRequires:	cmake >= 3.16
BuildRequires:	gettext-tools
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	python3-lxml
BuildRequires:	qt6-linguist >= %{qt_ver}
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-data = %{version}-%{release}
Requires:	kf6-dirs
Obsoletes:	breeze-icon-theme < 6.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Breeze-icons is a freedesktop.org compatible icon theme.

%description -l pl.UTF-8
Breeze-icons to motyw ikon zgodny z freedesktop.org.

%package data
Summary:	Data files for %{kfname}
Summary(pl.UTF-8):	Dane dla %{kfname}
License:	LGPL v3+
Group:		X11/Applications
Provides:	kf5-breeze-icons-data = %{version}-%{release}
Obsoletes:	kf5-breeze-icons-data < 5.240
BuildArch:	noarch

%description data
Data files for %{kfname}.

%description data -l pl.UTF-8
Dane dla %{kfname}.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
License:	LGPL v2.1+
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libKF6BreezeIcons.so.*.*.*
%ghost %{_libdir}/libKF6BreezeIcons.so.6

%files data
%defattr(644,root,root,755)
%doc COPYING-ICONS README.md
%{_iconsdir}/breeze
%{_iconsdir}/breeze-dark

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/BreezeIcons
%{_libdir}/cmake/KF6BreezeIcons
%{_libdir}/libKF6BreezeIcons.so
%changelog
* Sun Jun 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-breeze-icons.git;a=log;h=master

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 5057266
- release 2

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 10a6c71
- unified dependencies, require macros for ninja

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> 7ec5889
- Provide kf5-breeze-icons-data to allow parallel installation with kf5-breeze-icons

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> 46b32af
- updated dependencies

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> b8766d7
- package docs, clarified License

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> 977911c
- track soname, package debuginfo

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> b03d3a1
- typo

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> 55da6a9
- versioned Obsoletes, Obsoletes for kf5-breeze-icons-data

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> 2ff2acd
- rpm macros/noarch dependencies

* Fri May 23 2025 Jakub Bogusz <qboosh@pld-linux.org> e7ae8f0
- pl

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e6fda20
- updated to 6.14.0

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e9bc49e
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> cb9c7d3
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5dcb4bf
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3c6cbef
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f32d6aa
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 05e1aad
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b5ec406
- updated to 6.7.0

* Wed Sep 18 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 255271b
- URL update

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3b4aeb9
- updated to 6.6.0

